# Class CIM_HostedFilterEntryBase
extends CIM_HostedDependency

All filter entries (FilterEntryBase and its subclasses) are defined in the context of a ComputerSystem/network device, where the filter entries are used and administered.

### Table of Contents
Hierarchy
Direct Known Subclasses
Class Qualifiers
Class Properties
Class Methods

## Class Hierarchy

CIM_Dependency
|
+--CIM_HostedDependency
|
+--CIM_HostedFilterEntryBase

## Direct Known Subclasses

## Class Qualifiers

Name | Data Type | Value
--- | --- | ---
Association | boolean | true
Description | string | All filter entries (FilterEntryBase and its subclasses) are defined in the context of a ComputerSystem/network device, where the filter entries are used and administered.
UMLPackagePath | string | CIM::Network::Filtering
Version | string | 2.7.0

## Class Properties

### Association References

Name | Class Origin | Reference Class
--- | --- | ---
Antecedent | CIM_HostedFilterEntryBase | CIM_ComputerSystem
Dependent | CIM_HostedFilterEntryBase | CIM_FilterEntryBase

## Class Methods